/* $Header: d:/cvsroot/tads/tads3/TCT3UNAS.H,v 1.2 1999/05/17 02:52:28 MJRoberts Exp $ */

/* Copyright (c) 1999 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  tct3unas.h - TADS 3 Compiler - T3 Unassembler
Function
  Takes a T3 byte-code stream and disassembles it to a printable display
Notes
  
Modified
  05/10/99 MJRoberts  - Creation
*/

#ifndef TCT3UNAS_H
#define TCT3UNAS_H

class CTcT3Unasm
{
public:
    /* disassemble a byte stream */
    static void disasm(class CTcUnasSrc *src, class CTcUnasOut *out);

protected:
    /* disassemble an instruction */
    static void disasm_instr(class CTcUnasSrc *src, class CTcUnasOut *out,
                             char ch);
};

#endif /* TCT3UNAS_H */

